#!/usr/bin/python2.4 -u

import time
import libxml2

class MNSrc:
	def __init__(self, source):
		self.tick = time.time()
		self.source = source
		print "Tick:", self.tick
	def parse(self):
		try:
			doc = libxml2.parseFile(self.source)
		except:
			pass
		else:
			print "parse succeded"
		


class sched:
	def __init__(self):
		print "sched initialization..."
		self.state = "initialized"
		self.queue = []
	def report(self):
		print "sched state:", self.state
		print "sched queue:", self.queue
	def push(self, request):
		self.queue.insert(len(self.queue), MNSrc(request))
	def run(self):
		q = self.queue
		while q:
			src = q[0]
			src.parse()
			del q[0]

s = sched()
s.report()
s.push("../xml/void.local.xml")
s.push("../xml/bi.local.xml")
s.push("../xml/vpncenter.local.xml")
s.push("../xml/dsl.lz.xml")
s.report()
s.run()
s.report()
